Mes plugins

Fermer editoPlus

Fermer Sesame

Fermer infoPratique

Fermer twitterLink

Fermer Fork modo-1

Fermer formulaire

Fermer Docuthèque

Fermer CPLcommun

Fermer FORK cplMailBatch

Divers
Lettre d'information
Pour avoir des nouvelles de ce site, inscrivez-vous à notre Lettre d'information.
Captcha
Recopier le code :
35 Abonnés
Visites

   visiteurs

   visiteurs en ligne

Archives
téléchargement
Si le lien ne fonctionne pas, contactez le webmestre pour l'en informer.

Fermer Pour GuppY V5

Pour GuppY V5

Ce paquet contient une page autonome (membres.php) qui affiche la liste de tous les membres avec leur appartenance éventuelle à un groupe.

La liste est d'abord triée par groupes puis par membres;  si un membre apprtient à plusieurs groupes il est listé dans chaque groupe.

La page est visible seulement aux membres appartenant au groupe "ADMIN"; il faut donc créer ce groupe et lui affecter les membres autorisés à voir la page.

Lisez le fichier membres_lisezmoi.txt pour avoir les instructions d'installation et d'utilisation.


pagemembres.zip(3,43 ko)Téléchargé 192 foisTéléchargerHyperlien

Fermer divers

exemple de script VB permettant de créer en masse des user Guppy, donc Sesame.

Merci à Laurent qui a fourni ce script.

Ceci n'est q'un exemple et n'est à utiliser qu'APRES DES TESTS SUR UN SITE DE TEST.

NI LAURENT NI MOI-MEME N'ENGAGEONS NOTRE RESPONSABILITE.


script-import-user-en-masse.zip(1,07 ko)Téléchargé 472 foisTéléchargerHyperlien

Ce n'est pas vraiment un fork, en ce sens que le paquet ne modifie aucun programme de GuppY. Je l'ai qualifié comme tel, car il intervient tout de même sur le fonctionnement du CMS et qu'il faut le surveiller un peu.tongue

Pour l'installation et l'utilisation, consulter les articles dans la boite "Mes plugins" de la colonne de gauche.

Attention : ne fonctionne pas chez Nuxit/Magic Online, sur un hébergement mutualisé, du fait que l'hébergeur interdit les programmes batch. J'ai essayé de contourner, en vain.confused


FORK_cplMailBatch_20190608.zip(7,92 ko)Téléchargé 13 foisTéléchargerHyperlien

Paquet optionnel à installer en plus du paquet editoPlus (uniquement versions 4.6.1, 4.6.2, 4.6.2a).

Il permet de tester le plugin et voir ce que ça donne sans avoir à faire de saisie.

Ne pas charger sur un site contenant dejà des affichettes opérationnelles.

edp-gestplug.gif téléchargeable sur lien vers stockastuce


editoPlusData.zip(3,98 ko)Téléchargé 678 foisTéléchargerHyperlien

Paquet optionnel à installer en plus du paquet editoPlus (uniquement versions supèrieures à 4.6.3).

Il permet de tester le plugin et voir ce que ça donne sans avoir à faire de saisie.

Ne pas charger sur un site contenant dejà des affichettes opérationnelles.

edp-gestplug.gif téléchargeable sur lien vers stockastuce


editoplusdata463.zip(9,21 ko)Téléchargé 415 foisTéléchargerHyperlien

Fermer Fork

Ajoute un choix pour l'administrateur dans Administration>Config services :
    - envoi d'un message aux modérateurs lorsqu'un message est déposé sur le forum : oui/non

Fork inclus intégralement à la version 4.6.18 de GuppY donc inutile à partir de cette version.
 

compatible GestPlug  


fork-modo-1-4617.zip(197,73 ko)Téléchargé 339 foisTéléchargerHyperlien

Fermer Formation à Guppy

Introduction

Formation_Guppy.pps(69,63 ko)Téléchargé 574 foisTéléchargerHyperlien

Fermer Plugin compatible CPLcommun V3.0

Permet de maintenir sur le site Internet une liste d'infos composées chacunes d'un titre et d'un texte et regroupées en catégories. La présentation est similaire à la FAQ.

L'originalité du plugin est l'impression de cette liste sous forme d'un livret.

Il est testé avec GuppY 4.6.16, 4.6.17.

CPLcommun version 3.0 doit être installé.

compatible GestPlug 


infopratique461a.zip(36,73 ko)Téléchargé 496 foisTéléchargerHyperlien

Permet de supporter le renommage des scripts GuppY dans le cadre de la lutte antispam avec les dernières versions de GuppY.

Il est testé avec GuppY 4.6.24, 4.6.26.

CPLcommun version 3.0 ou ultérieur doit être installé.

compatible GestPlug


infopratique461a-patch1.zip(3,61 ko)Téléchargé 376 foisTéléchargerHyperlien

Améliore le cadrage horizontal des pages imprimées (voir le sujet 144 sur le forum)

Il est testé avec GuppY 4.6.28.

CPLcommun version 3.0 ou ultérieur doit être installé.

compatible GestPlug


infopratique461a-patch2.zip(0,00 ko)Téléchargé 322 foisTéléchargerHyperlien

Affiche les derniers tweets d'un ou plusieurs comptes twitter.

Il est compatible (testé) avec GuppY 4.6.22, 4.6.24.

Vous devez installer aussi le plugin CPLcommun version 3.0 ou supérieur.

compatible GestPlug


twitterlink462.zip(0,00 ko)Téléchargé 362 foisTéléchargerHyperlien

Charge une bibliothèque de fonctions pour les autres plugins présents sur ce site.

Ce plugin est obligatoire pour que mes autres plugins fonctionnent. 

Cette version est obligatoire pour les dernières versions de mes plugins et inversement est incompatibe avec les versions anciennes; voir le tableau des compatibilités.

Cette version a été testé avec GuppY 4.6.16, 4.6.17 mais devrait fonctionner aussi avec les versions à partir de 4.6.10.

compatible GestPlug 


cplcommun30.zip(27,45 ko)Téléchargé 635 foisTéléchargerHyperlien

Fermer Plugin compatible CPLcommun V5.0

Permet de gérer des affichettes (voir la description ci-contre).

Installez cette version sur un site de test et familiarisez-vous avec les nouvelles fonctionnalités avant de la mettre sur un site de production qui a déjà une ancienne version.

La version 463 nécessite la version 4.0 de CPLcommun.

Est compatible (testé) avec GuppY 4.6.17, 4.6.18

compatible GestPlug


editoplus463.zip(95,38 ko)Téléchargé 341 foisTéléchargerHyperlien

rend compatible avec CPLcommun V5.0

corrige un couic : message d'erreur "Call to undefined function FormateDate..."  (voir le sujet 148 sur le forum).


CPLcommun version 5.0 ou ultérieur doit être installé.

compatible GestPlug


infopratique461a-patch3.zip(3,64 ko)Téléchargé 313 foisTéléchargerHyperlien

Charge une bibliothèque de fonctions pour les autres plugins présents sur ce site.

Ce plugin est obligatoire pour que mes autres plugins fonctionnent. 

Cette version est obligatoire pour les dernières versions de mes plugins et inversement est incompatibe avec les versions anciennes; voir le tableau des compatibilités.

Cette version a été testé avec GuppY 4.6.19, 4.6.21, 4.6.22 mais devrait fonctionner aussi avec les versions à partir de 4.6.17.

Ne chargez cette version que si vous devez utiliser editoPlus V4.6.3 et Docuthèque.

compatible GestPlug


cplcommun50.zip(189,43 ko)Téléchargé 580 foisTéléchargerHyperlien

Fermer Plugin compatible CPLcommun V6.0

Adapte la V4.6.3 à la V6.0 de CPLcommun, à la V4.6.24 de GuppY (renommage des scripts) et à la V4.6.2 de Sesame (message "vous devez être membre pour utiliser ce modumle").

Est compatible (testé) avec GuppY 4.6.24, 4.6.26

compatible GestPlug


editoplus463-patch1.zip(0,00 ko)Téléchargé 370 foisTéléchargerHyperlien

Remplace la boite "préférence" de GuppY.

Ce plugin vous est utile si :

  • vous souhaitez avoir une gestion centralisée des membres.
  • vous souhaitez avoir une administration déléguée (rédacteur) et ne souhaitez pas afficher la boîte préférence.
  • vous souhaitez avoir un espace "privé" (accessible aux seuls membres enregistrés).  

Il est compatible (testé) avec GuppY 4.6.22, 4.6.24, 4.6.26.

Vous devez installer aussi le plugin CPLcommun version 6.0.

compatible GestPlug  


sesame462.zip(44,31 ko)Téléchargé 521 foisTéléchargerHyperlien

Charge une bibliothèque de fonctions pour les autres plugins présents sur ce site.

Ce plugin est obligatoire pour que mes autres plugins fonctionnent. 

Cette version est obligatoire pour les dernières versions de mes plugins et inversement est incompatibe avec les versions anciennes; voir le tableau des compatibilités.

Cette version a été testé avec GuppY 4.6.22, 4.6.24, 4.6.26 mais devrait fonctionner aussi avec les versions à partir de 4.6.17.

compatible GestPlug


cplcommun60.zip(0,00 ko)Téléchargé 486 foisTéléchargerHyperlien

Fermer Plugin compatible CPLcommun V8.0

Permet de stocker sur le site des documents et de les restituer sous forme de liste en page centrale (voir la description ci-contre).

Cette version a été testé avec GuppY 4.6.28.

compatible GestPlug


docutheque463.zip(127,90 ko)Téléchargé 325 foisTéléchargerHyperlien

Ce patch contient les 2 précédents

corrige couics sur la version 4.6.3:

  • affichage chargement document si plusieurs boites latérales à gauche
  • affichage puce et nbre colonnes si plusieurs boites latérales à gauche
  • corruption fichier téléchargé
  • correction fonction EstAutoriseACharger
  • affichage texte introduction page centrale même si page vide
  • correction contenu de .htaccess

Cette version a été testé avec GuppY 4.6.28.

compatible GestPlug


docutheque463-patch3.zip(15,76 ko)Téléchargé 287 foisTéléchargerHyperlien

Adapte la V4.6.3 à la V7.0 et V8.0 de CPLcommun.

Adapte la V4.6.3 à la V4.6.24 de GuppY (renommage des scripts) et à la V4.6.2 de Sesame (message "vous devez être membre pour utiliser ce modumle").

compatible GuppY V4.6.28

compatible GestPlug


editoplus463-patch3.zip(35,71 ko)Téléchargé 317 foisTéléchargerHyperlien

Version de test 

N'est pas compatible avec GuppY 5.

Voir l'article ci-contre pour les nouveautés.

Cette version a été testé avec GuppY 4.6.28.

Nouveautés depuis la beta 1:

  • le texte des articles nouveaux est visible complètement
  • le module maintenance est amélioré

compatible GestPlug


editoplus464-beta2.zip(554,68 ko)Téléchargé 282 foisTéléchargerHyperlien

Charge une bibliothèque de fonctions pour le fonctionnement des autres plugins présents sur ce site.

Ce plugin est obligatoire pour que mes autres plugins fonctionnent. 

Cette version est compatible avec Guppy V4.6 et V5.0: à la sortie de la V5.0 j'ai testé la conversion du plugin, mais comme je n'ai pas l'intention de convertir tous les plugins en V5.0 (car je ne souhaite pas convertir tous mes sites), j'ai fait une version compatible pour les 2 versions de GuppY. Pour l'instant elle ne sert qu'en V4 de GuppY; les dernières versions des plugins sont compatibles avec CPLcommun V7.0 sauf editoPlus pour lequel j'ai fait un patch (voir le tableau des compatibilités).

Cette version a été testé avec GuppY 4.6.28, mais devrait fonctionner aussi avec les versions ultérieures.

compatible GestPlug


cplcommun80.zip(202,98 ko)Téléchargé 338 foisTéléchargerHyperlien

Fermer Plugin compatible CPLcommun V9

J'AI SUPPRIME LE ZIP

 

N'est pas compatible avec GuppY 5.

Voir l'article ci-contre pour les nouveautés.

Cette version a été testé avec GuppY 4.6.28.

compatible GestPlug


infoprtique462.zip(0,00 ko)Téléchargé 31 foisTéléchargerHyperlien


Espace privé

Si vous souhaitez créer un profil pour ce site, merci de m'envoyer votre Mél et votre pseudo en remplissant le formulaire joint.

Site de test

Vous pouvez tester mes plugins (y compris la partie admin) sur mon site de test.

Recherche



RSS
C'est ici que je vis

France

Département de l'HéraultPouzols

Lien twitter
^ Haut ^